Skip to content

Get Agent Details

GET
/api/v3/organizations/{organisation}/ai/agents/{agentId}

Retrieves detailed configuration for a specific AI agent.

Authorizations

Parameters

Path Parameters

organisation
required
string

The organisation ID

agentId
required
string format: uuid

The agent ID

Responses

200

Agent details retrieved successfully

object
agent
object
agentId
string format: uuid
name
string
description
string
group
string
systemPrompt
string
modelId
string
temperature
number
maxTokens
integer
allowedTools
Array<string>
allowedCollections
Array<string>
assignedSkills
Array<string>
longContext

Whether 1M context window is enabled

boolean
guardrailPreset

Guardrail preset name

string
isGlobal

Whether this is a platform-managed global agent

boolean
hasOverlay

Whether the requesting org has a per-org overlay for this global agent

boolean
createdBy
string
createdAt
string format: date-time
updatedAt
string format: date-time

403

Access denied

404

Agent not found

500

Failed to retrieve agent